# $Revision: 1.44 $, $Date: 2012/05/23 08:04:21 $
Summary:	The Boehm-Demers-Weiser conservative garbage collector
Summary(pl.UTF-8):	Konserwatywny odśmiecacz pamięci Boehma-Demersa-Weisera
Name:		gc
Version:	7.2
Release:	1
License:	BSD-like
Group:		Libraries
Source0:	http://www.hpl.hp.com/personal/Hans_Boehm/gc/gc_source/%{name}-%{version}.tar.gz
# Source0-md5:	d17aecedef3d73e75387fb63558fa4eb
URL:		http://www.hpl.hp.com/personal/Hans_Boehm/gc/
BuildRequires:	autoconf >= 2.64
BuildRequires:	automake
BuildRequires:	libatomic_ops >= 7.2
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gc is a conservative garbage collector for C and C++. It is used as a
replacement for standard malloc() and free(). GC_malloc will attempt
to reclaim inaccessible space automatically by invoking a conservative
garbage collector at appropriate points.

%description -l pl.UTF-8
Gc jest konserwatywnym odśmiecaczem pamięci dla C i C++. Jest używany
jako zamiennik dla standardowych funkcji malloc() i free(). GC_malloc
próbuje odzyskać niedostępna pamięć automatycznie przez wywoływanie
konserwatywnego odśmiecacza pamięci w odpowiednich miejscach.

%package devel
Summary:	Headers for conservative garbage collector
Summary(pl.UTF-8):	Nagłówki dla konserwatywnego odśmiecacza pamięci
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Headers for conservative garbage collector

%description devel -l pl.UTF-8
Nagłówki dla konserwatywnego odśmiecacza pamięci

%package static
Summary:	Static version of gc library
Summary(pl.UTF-8):	Statyczna wersja biblioteki gc
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of gc library

%description static -l pl.UTF-8
Statyczna wersja biblioteki gc

%package c++
Summary:	C++ interface to GC library
Summary(pl.UTF-8):	Interfejs C++ do biblioteki GC
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description c++
C++ interface to GC library.

%description c++ -l pl.UTF-8
Interfejs C++ do biblioteki GC.

%package c++-devel
Summary:	Header files for C++ interface for GC library
Summary(pl.UTF-8):	Pliki nagłówkowe interfejsu C++ do biblioteki GC
Group:		Development/Libraries
Requires:	%{name}-c++ = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}
Requires:	libstdc++-devel

%description c++-devel
Header files for C++ interface for GC library.

%description c++-devel -l pl.UTF-8
Pliki nagłówkowe interfejsu C++ do biblioteki GC.

%package c++-static
Summary:	C++ interface to GC library - static library
Summary(pl.UTF-8):	Interfejs C++ do biblioteki GC - biblioteka statyczna
Group:		Development/Libraries
Requires:	%{name}-c++-devel = %{version}-%{release}

%description c++-static
C++ interface to GC library - static library.

%description c++-static -l pl.UTF-8
Interfejs C++ do biblioteki GC - biblioteka statyczna.

%prep
%setup -q

# don't install docs to %{_datadir}/%{name}
%{__perl} -pi -e 's/^dist_pkgdata_DATA/EXTRA_DIST/' doc/doc.am

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
%ifnarch sparc64
	CPPFLAGS="-DUSE_LIBC_PRIVATES" \
%endif
	--enable-cplusplus \
	--enable-threads=posix
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_includedir}/gc/private
install -D doc/gc.man $RPM_BUILD_ROOT%{_mandir}/man3/gc.3
# are these still needed? (what is ecls?)
install include/private/* $RPM_BUILD_ROOT%{_includedir}/gc/private

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post   c++ -p /sbin/ldconfig
%postun c++ -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.QUICK doc/README{,.{linux,changes,contributors,environment,macros}} doc/*.html
%attr(755,root,root) %{_libdir}/libcord.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcord.so.1
%attr(755,root,root) %{_libdir}/libgc.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgc.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcord.so
%attr(755,root,root) %{_libdir}/libgc.so
%{_libdir}/libcord.la
%{_libdir}/libgc.la
%dir %{_includedir}/gc
%{_includedir}/gc/private
%{_includedir}/gc/cord.h
%{_includedir}/gc/gc.h
%{_includedir}/gc/gc_allocator.h
%{_includedir}/gc/gc_amiga_redirects.h
%{_includedir}/gc/gc_backptr.h
%{_includedir}/gc/gc_config_macros.h
%{_includedir}/gc/gc_gcj.h
%{_includedir}/gc/gc_inline.h
%{_includedir}/gc/gc_mark.h
%{_includedir}/gc/gc_pthread_redirects.h
%{_includedir}/gc/gc_tiny_fl.h
%{_includedir}/gc/gc_typed.h
%{_includedir}/gc/gc_version.h
%{_includedir}/gc/leak_detector.h
%{_includedir}/gc/new_gc_alloc.h
%{_includedir}/gc/weakpointer.h
%{_includedir}/gc.h
%{_pkgconfigdir}/bdw-gc.pc
%{_mandir}/man3/gc.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libcord.a
%{_libdir}/libgc.a

%files c++
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgccpp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgccpp.so.1

%files c++-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgccpp.so
%{_libdir}/libgccpp.la
%{_includedir}/gc/gc_cpp.h
%{_includedir}/gc_cpp.h

%files c++-static
%defattr(644,root,root,755)
%{_libdir}/libgccpp.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gc.spec,v $
Revision 1.44  2012/05/23 08:04:21  qboosh
- updated to 7.2
- removed obsolete sparc patch
- added C++ interface (as -c++-* subpackages)
- needs newer libatomic_ops (with pkg-config file)

Revision 1.43  2012/03/28 07:27:41  arekm
- release 2

Revision 1.42  2008/05/28 21:41:12  qboosh
- updated to 7.1
- updated sparc patch, removed obsolete malloc-segv patch

Revision 1.41  2008-03-11 18:00:05  hawk
- fixed SEGV in GC_malloc, release

Revision 1.40  2008-02-04 19:36:13  qboosh
- BR: libatomic_ops (used only in private headers, so not adding to -devel deps)

Revision 1.39  2008-01-28 14:03:14  tommat
- added sparc patch

Revision 1.38  2007-12-14 23:32:21  qboosh
- updated to 7.0

Revision 1.37  2007-09-05 13:14:05  baggins
- rel 2

Revision 1.36  2007/06/19 18:35:44  tommat
- disable -DUSE_LIBC_PRIVATES on sparc64

Revision 1.35  2007/02/13 07:16:44  glen
- tabs in preamble

Revision 1.34  2007/02/12 00:48:51  baggins
- converted to UTF-8

Revision 1.33  2006/10/03 08:59:30  qboosh
- updated pl summary

Revision 1.32  2006/10/01 12:58:02  glen
- update summary so the spec could be found searching boehm

Revision 1.31  2006/07/19 21:11:36  qboosh
- updated to 6.8

Revision 1.30  2006/03/04 22:32:12  qboosh
- updated to 6.7

Revision 1.29  2005/10/06 21:02:34  qboosh
- updated to 6.6

Revision 1.28  2005/06/15 10:05:56  qboosh
- build with -DUSE_LIBC_PRIVATES - now it works with grsec hiding
  memory layout in /proc (but can cause problems with prelink)

Revision 1.27  2005/06/12 19:36:39  qboosh
- updated to 6.5

Revision 1.26  2005/03/25 23:28:43  japhy
- Install also private headers (needed to compile ecls)

Revision 1.25  2004/12/25 15:50:34  qboosh
- updated to 6.4, includes cleanup

Revision 1.24  2004/08/31 09:00:55  snurf
- typos / formatting / etc.

Revision 1.23  2004/08/21 23:44:20  qboosh
- ac fix

Revision 1.22  2004/08/21 23:39:47  qboosh
- strict internal deps, unifications

Revision 1.21  2004/08/21 21:05:39  misi3k
- updated to 6.3

Revision 1.20  2003/08/03 17:23:54  grzegol
- don't install Makefiles
- rel. 2

Revision 1.19  2003/06/25 12:05:38  trojan
- updated to 6.2

Revision 1.18  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.17  2003/05/25 05:47:41  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2003/05/19 23:14:38  kloczek
- added ac_libdl_fix patch: libgc uses dlopen() so added fix on autoconf level
  for include -ldl in LIBS.

Revision 1.15  2003/05/19 23:06:06  kloczek
- added full rergeneration ac/am/lt suit.

Revision 1.14  2003/05/08 09:28:30  malekith
- maybe -ldl hack is more readable this way

Revision 1.13  2003/05/08 09:24:04  malekith
- -ldl hack is back; it's *needed*

Revision 1.12  2003/05/05 14:49:38  undefine
- enable posix threads (needed by mono)
- release 3
- stbr (ra-updates-general && ac)

Revision 1.11  2003/02/26 15:20:08  malekith
- release 2 -- rebuild on nest builders
- version from ra is facked up for some unknown reason -- it lacks
  GC_pthread* functions

Revision 1.10  2002/10/12 11:31:31  qboosh
- BR: automake

Revision 1.9  2002/09/03 19:14:26  kloczek
- (auto)updated to 6.1.

Revision 1.8  2002/08/14 11:30:14  malekith
- link libgc.so with libdl.so, as it requires it
- new %doc
- release 3, STBR

Revision 1.7  2002/04/25 16:21:26  arturs
fixed a small typo

Revision 1.6  2002/03/27 11:35:31  roman
s/BSDish/BSD-like in License

Revision 1.5  2002/03/27 10:38:06  roman
- License: BSD like --> License: BSDish

Revision 1.4  2002/02/22 23:28:56  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/02/08 14:22:41  filon
- added copying newer config.{sub,guess} files form automake dir (needed for athlon)
- release 2

Revision 1.2  2002/01/24 05:18:01  kloczek
- cosmetics.

Revision 1.1  2002/01/22 18:20:55  filon
- new package, garbage collector, STB
